<?php

global $wpdb, $armainhelper, $arfieldhelper, $arformcontroller, $arrecordcontroller;

if ( $field['form_id'] >= 10000 ) {
	$data = $wpdb->get_results( $wpdb->prepare( 'SELECT * FROM ' . $wpdb->prefix . 'arf_ref_forms WHERE id = %d', $field['form_id'] ), 'ARRAY_A' );
} else {
	$data = $wpdb->get_results( $wpdb->prepare( 'SELECT * FROM ' . $wpdb->prefix . 'arf_forms WHERE id = %d', $field['form_id'] ), 'ARRAY_A' );
}

$aweber_arr = '';
$aweber_arr = $data[0]['form_css'];

$newarr = array();

if ( '' != $aweber_arr ) {
	$arr = unserialize( $aweber_arr );

	foreach ( $arr as $k => $v ) {
		$newarr[ $k ] = $v;
	}
}

$inline_css_with_style_tag = '';
$inline_css_without_style  = '';

if ( ARF_SIGNATURE_SLUG == $field['type'] ) {

	?>
<div class="controls">
	<?php
	if ( apply_filters( 'arf_check_for_draw_outside', false, $field ) ) {
		do_action( 'arf_drawthisfieldfromoutside', $field );
	} else {

		if ( 1 == $field['enable_arf_prefix'] || 1 == $field['enable_arf_suffix'] ) {
			?>
			<div class="arf_prefix_suffix_wrapper">
			<?php if ( 1 == $field['enable_arf_prefix'] ) { ?>
					<span id="arf_prefix_<?php echo esc_html( $field['field_key'] ); ?>" class="arf_prefix" onclick="arfFocusInputField('<?php echo esc_html( $field['field_key'] ); ?>');"><i class="fa <?php echo esc_html( $field['arf_prefix_icon'] ); ?>"></i></span>
				<?php
			}
		}

		$border_color       = ( '' == $newarr['border_color'] ) ? '#000000' : $newarr['border_color'];
		$field_border_width = ( '' == $newarr['arffieldborderwidthsetting'] ) ? '0' : $newarr['arffieldborderwidthsetting'];
		$field_border_style = $newarr['arffieldborderstylesetting'];
		$border_radius      = ( '' == $newarr['border_radius'] ) ? '0px' : $newarr['border_radius'] . 'px';

		$arferrorstylecolor1    = explode( '|', $newarr['arferrorstylecolor'] );
		$arferrorstylecolor     = $arferrorstylecolor1[0];
		$arferrorstylecolorfont = $arferrorstylecolor1[1];

		$arfvalidationerrorstyle = $newarr['arferrorstyle'];

		if ( 'normal' == $arfvalidationerrorstyle ) {
			$arferrorstylecolor2 = explode( '|', $newarr['arferrorstylecolor2'] );
			$arferrorstylecolor  = $arferrorstylecolor2[2];
		}
		$error_font_size = $newarr['arffontsizesetting'] . 'px';
		$newerror_font   = $newarr['error_font'];

		$border_color_error = $newarr['arferrorbordercolorsetting'];
		$bg_color_error     = $newarr['arferrorbgcolorsetting'];

		$data_validation_required_message = ( isset( $field['required'] ) && $field['required'] ) ? ' data-validation-required-message="' . esc_attr( $field['blank'] ) . '" ' : '';

		$arf_signature_val_attr = ' value="" ';
		if ( isset( $field['clear_on_focus'] ) && $field['clear_on_focus'] && ! empty( $field['default_alue'] ) ) {
			if ( 1 == $field['default_blank'] ) {
				$arf_signature_val_attr = ' value="' . esc_attr( $field['value'] ) . '" ';
			}
		} else {
			if ( 1 == $field['default_blank'] ) {
				$arf_signature_val_attr = ' value="' . esc_attr( $field['value'] ) . '" ';
			} else {
				$arf_signature_val_attr = ' placeholder="' . esc_attr( $field['value'] ) . '" ';
			}
		}

		$arf_signature_field_style_tag = '';
		?>



<div class="arf_smoothed_<?php echo esc_attr( $field['id'] ); ?>" id="arf_smoothed_<?php echo esc_attr( $field['id'] ); ?>">

	<div class="arf_dig_sig_sign arf_dig_sig_sigWrapper arf_dig_sig_field_<?php echo esc_attr( $field['id'] ); ?>" id="<?php echo esc_attr( $field['id'] ); ?>">
	  <canvas data-bgcolor="<?php echo esc_attr( $newarr['bg_color'] ); ?>" data-pencolor="<?php echo esc_attr( $newarr['text_color'] ); ?>" class="arf_dig_sig_pad" id="arf_canvas_<?php echo esc_attr( $field['id'] ); ?>" width="<?php echo esc_attr( ( $field['image_width'] - $field_border_width ) - $field_border_width ); ?>" height="<?php echo esc_attr( $field['image_height'] ); ?>"></canvas>
	</div>
	  <input class="arf_signature_output arf_signature_output_input arf_signature_output_<?php echo esc_html( $field['id'] ); ?>" type="text" id="field_<?php echo esc_attr( $field['field_key'] ); ?>" name="<?php echo esc_attr( $field_name ); ?>"
		<?php
		echo esc_attr( $data_validation_required_message ) . esc_attr( $arf_signature_val_attr );
		do_action( 'arffieldinputhtml', $field );
		echo esc_attr( $arf_signature_field_style_tag );
		echo esc_attr( $arfieldhelper->get_onchage_func( $field ) );
		?>
		/>
		<?php if ( isset( $field['description'] ) && ! empty( $field['description'] ) ) { ?>
		<div class="arf_field_description"><?php echo esc_attr( $field['description'] ); ?></div>
	<?php } ?>

	<div class="arf_dig_sig_clear">
		<img class="arf_clear_pad" id="arf_clear_signature_<?php echo esc_attr( $field['id'] ); ?>" data-title="<?php esc_html_e( 'Clear', 'ARForms-Digital-Signature' ); ?>"  src="<?php echo esc_url( ARF_DIG_SIG_URL ); ?>/images/clear-icon.png" />
	</div>
  </div>
		<?php
		if ( ! is_admin() ) {
			global $arf_signture_loaded;
			$arf_signture_loaded[ 'field_' . $field['field_key'] ] = array(
				'id'      => $field['id'],
				'form_id' => $field['form_id'],
			);
		}

		if ( 1 == $field['enable_arf_prefix'] || 1 == $field['enable_arf_suffix'] ) {
			if ( 1 == $field['enable_arf_suffix'] ) {
				?>
				<span id="arf_suffix_<?php echo esc_attr( $field['field_key'] ); ?>" class="arf_suffix" onclick="arfFocusInputField('<?php echo esc_attr( $field['field_key'] ); ?>');"><i class="fa <?php echo esc_attr( $field['arf_suffix_icon'] ); ?>"></i></span>
		<?php } ?>
	</div>
			<?php
		}
		?>
</div>
		<?php
	}
}?>