"use strict";

jQuery( document ).on(
	'click',
	'.arf_signaturefile_remove',
	function() {
		var entry_id = jQuery( this ).data( 'entry-id' );
		var field_id = jQuery( this ).data( 'id' );
		var file_id  = jQuery( this ).data( 'file' );
		var file_url = jQuery( this ).data( 'file-url' );
		if (entry_id && field_id && file_id) {
			var delete_popup_html = '';
			delete_popup_html    += '<div class="delete_popup delete_entry_popup arfactive arf_dig_sig_delete_entry_popup_wrapper delete_entry_message_' + file_id + '" id="delete_form_message">';
			delete_popup_html    += '<input type="hidden" value="' + file_id + '" id="delete_entry_id"/>';
			delete_popup_html    += '<div class="delete_column_arrow" ></div>';
			delete_popup_html    += '<div class="delete_title"><div class="delete_confirm_message">Are you sure you want to <br/> delete this file?</div>';
			delete_popup_html    += '<div class="delete_popup_footer">';
			delete_popup_html    += '<button type="button" class="rounded_button add_button arf_delete_modal_left arfdelete_color_red" onclick="arfentry_signaturefile_actionfunc(' + entry_id + ',' + field_id + ',' + file_id + ',\'' + file_url + '\');">Delete</button>&nbsp;&nbsp;';
			delete_popup_html    += '<button type="button" class="rounded_button delete_button arfdelete_color_gray" onclick="arf_signaturefile_delete_close_popup_entry(' + file_id + ');">Cancel</button>';
			delete_popup_html    += '</div>';
			delete_popup_html    += '</div>';
			delete_popup_html    += '</div>';
			var select_content    = jQuery( '.arf_deletable_entry_icon_wrapper.arf_signature_inner_' + file_id );
			jQuery( delete_popup_html ).insertAfter( select_content );
			jQuery( '.delete_entry_message_' + file_id ).show();

		}

	}
);
function arf_signaturefile_delete_close_popup_entry(file_id){
	jQuery( '.delete_entry_message_' + file_id ).remove();
}
function arfentry_signaturefile_actionfunc(entry_id,field_id,file_id,file_url){
	if (entry_id && field_id && file_id && file_url) {
		jQuery.ajax(
			{
				url: ajaxurl,
				type: 'POST',
				data: 'action=arf_forms_signaturefile_remove&entry_id=' + entry_id + '&field_id=' + field_id + '&file_url=' + file_url,
				success: function(response) {
					if (response == '1') {
						jQuery( '.arf_signature_inner_' + file_id ).remove();
						jQuery( '#records_suc_message_des' ).html( 'Successfully removed file.' );
						success_msg()
					} else {
						jQuery( '#records_error_message_des' ).html( 'Please try again.' );
						error_msg();
					}
				}
			}
		);
	}
	arf_signaturefile_delete_close_popup_entry( file_id );
}